Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Class DropTarget.DropTargetAutoScroller

    java.lang.Object
      java.awt.dnd.DropTarget.DropTargetAutoScroller

All Implemented Interfaces:
  ActionListener, EventListener

Enclosing class:
  DropTarget

    protected static class DropTarget.DropTargetAutoScroller

extends Object
implements ActionListener

this protected nested class implements autoscrolling

Constructor Summary
`protected` | `DropTarget.DropTargetAutoScroller(Component c, Point p)` construct a DropTargetAutoScroller

Method Summary
`void` | `actionPerformed(ActionEvent e)` cause autoscroll to occur
`protected void` | `stop()` cause autoscrolling to stop
`protected void` | `updateLocation(Point newLocn)` cause autoscroll to occur

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropTarget.DropTargetAutoScroller

    protected DropTarget.DropTargetAutoScroller(Component c,
                                                Point p)

  construct a DropTargetAutoScroller

  Parameters:
    `c` - the `Component`
    `p` - the `Point`

Method Detail

### updateLocation

    protected void updateLocation(Point newLocn)

  cause autoscroll to occur

  Parameters:
    `newLocn` - the `Point`

### stop

    protected void stop()

  cause autoscrolling to stop

### actionPerformed

    public void actionPerformed(ActionEvent e)

  cause autoscroll to occur

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Parameters:
    `e` - the `ActionEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.